  function toggleText() {
      const moreText = document.getElementById("moreText");
      const toggleBtn = document.getElementById("toggleBtn");

      if (moreText.style.display === "none") {
        moreText.style.display = "inline";
        toggleBtn.textContent = "Read less";
      } else {
        moreText.style.display = "none";
        toggleBtn.textContent = "Read more";
      }
    }

        document.querySelectorAll('.more-link').forEach(link => {
      link.addEventListener('click', function () {
        const cardText = this.previousElementSibling;
        const moreText = cardText.querySelector('.more-text');

        if (moreText.style.display === "inline") {
          moreText.style.display = "none";
          this.textContent = "More...";
        } else {
          moreText.style.display = "inline";
          this.textContent = "Less...";
        }
      });
    });
